## rock-master-19.06-drivers-orogen-phidgets 0.20171014

=== CMakeLists.txt ===
PROJECT(phidgets)
cmake_minimum_required(VERSION 2.6)

SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/.orogen/config")
INCLUDE(phidgetsBase)

# FIND_PACKAGE(KDL)
# FIND_PACKAGE(OCL)

=== tasks/CMakeLists.txt ===
# Generated from orogen/lib/orogen/templates/tasks/CMakeLists.txt

include(phidgetsTaskLib)
ADD_LIBRARY(${PHIDGETS_TASKLIB_NAME} SHARED 
    AnalogDevices.cpp ${PHIDGETS_TASKLIB_SOURCES})
add_dependencies(${PHIDGETS_TASKLIB_NAME}
    regen-typekit)

TARGET_LINK_LIBRARIES(${PHIDGETS_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${PHIDGETS_TASKLIB_DEPENDENT_LIBRARIES}
    phidget21)
SET_TARGET_PROPERTIES(${PHIDGETS_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${PHIDGETS_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${PHIDGETS_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${PHIDGETS_TASKLIB_HEADERS}
    DESTINATION include/orocos/phidgets)

=== debian/changelog ===
rock-master-19.06-drivers-orogen-phidgets (0.20171014-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-drivers/drivers-orogen-phidgets.git
  * branch: refs/heads/master
  * commit: 3dfe35b717130acbf444e081a4781e4b2d451c6a
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Mon, 08 Jul 2019 21:40:05 +0200

=== debian/control ===
Source: rock-master-19.06-drivers-orogen-phidgets
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-19.06-base-orogen-std, rock-master-19.06-base-orogen-types, rock-master-19.06-drivers-phidgets, rock-master-19.06-ruby-orogen, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-drivers-orogen-phidgets
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-orogen-std, rock-master-19.06-base-orogen-types, rock-master-19.06-drivers-phidgets, rock-master-19.06-tools-logger, rock-master-19.06-tools-orogen-cpp-proxies, rock-master-19.06-tools-orogen-metadata, rock-master-19.06-tools-orogen-model-exporter, rock-master-19.06-tools-service-discovery
Description: Components to read Phidget sensors
 Components to read Phidget sensors
